#################################################################################################
#
# Section Assigment Routine
#
# Writen by:  Erol Kalkan
# Last modified:  Oct 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

# Coordinate transformation 
geomTransf PDelta   1 

#		                     eleTag iNode jNode #IntPts	sec transf	
# 1st Storey Columns
element	nonlinearBeamColumn	11	1	8	4	 5     1
element	nonlinearBeamColumn	12	2	9	4	 5     1
element	nonlinearBeamColumn	13	3	10	4	 5     1
element	nonlinearBeamColumn	14	4	11	4	 5     1
element	nonlinearBeamColumn	15	5	12	4	 5     1
element	nonlinearBeamColumn	16	6	13	4	 5     1
element	nonlinearBeamColumn	17	7	14	4	 5     1

# 2nd Storey Columns
element	nonlinearBeamColumn	21	8	15	4	 5     1
element	nonlinearBeamColumn	22	9	16	4	 5     1
element	nonlinearBeamColumn	23	10	17	4	 5     1
element	nonlinearBeamColumn	24	11	18	4	 5     1
element	nonlinearBeamColumn	25	12	19	4	 5     1
element	nonlinearBeamColumn	26	13	20	4	 5     1
element	nonlinearBeamColumn	27	14	21	4	 5     1

# 3rd Storey Columns
element	nonlinearBeamColumn	31	15	22	4	 6     1
element	nonlinearBeamColumn	32	16	23	4	 6     1
element	nonlinearBeamColumn	33	17	24	4	 6     1
element	nonlinearBeamColumn	34	18	25	4	 6     1
element	nonlinearBeamColumn	35	19	26	4	 6     1
element	nonlinearBeamColumn	36	20	27	4	 6     1
element	nonlinearBeamColumn	37	21	28	4	 6     1

# 4th Storey Columns
element	nonlinearBeamColumn	41	22	29	4	 6     1
element	nonlinearBeamColumn	42	23	30	4	 6     1
element	nonlinearBeamColumn	43	24	31	4	 6     1
element	nonlinearBeamColumn	44	25	32	4	 6     1
element	nonlinearBeamColumn	45	26	33	4	 6     1
element	nonlinearBeamColumn	46	27	34	4	 6     1
element	nonlinearBeamColumn	47	28	35	4	 6     1

# 5th Storey Columns
element	nonlinearBeamColumn	51	29	36	4	 7     1
element	nonlinearBeamColumn	52	30	37	4	 7     1
element	nonlinearBeamColumn	53	31	38	4	 7     1
element	nonlinearBeamColumn	54	32	39	4	 7     1
element	nonlinearBeamColumn	55	33	40	4	 7     1
element	nonlinearBeamColumn	56	34	41	4	 7     1
element	nonlinearBeamColumn	57	35	42	4	 7     1

# 6th Storey Columns
element	nonlinearBeamColumn	61	36	43	4	 7     1
element	nonlinearBeamColumn	62	37	44	4	 7     1
element	nonlinearBeamColumn	63	38	45	4	 7     1
element	nonlinearBeamColumn	64	39	46	4	 7     1
element	nonlinearBeamColumn	65	40	47	4	 7     1
element	nonlinearBeamColumn	66	41	48	4	 7     1
element	nonlinearBeamColumn	67	42	49	4	 7     1

#################################################################################################  

geomTransf PDelta 2

#		                     eleTag iNode jNode #IntPts	sec transf	
# 1st Storey Beams
element	nonlinearBeamColumn	101	8	9	4	 1     2
element	nonlinearBeamColumn	102	9	10	4	 1     2
element	nonlinearBeamColumn	103	10	11	4	 1     2
element	nonlinearBeamColumn	104	11	12	4	 1     2
element	nonlinearBeamColumn	105	12	13	4	 1     2
element	nonlinearBeamColumn	106	13	50	4	 1     2

# 2nd Storey Beams
element	nonlinearBeamColumn	201	15	16	4	 2     2
element	nonlinearBeamColumn	202	16	17	4	 2     2
element	nonlinearBeamColumn	203	17	18	4	 2     2
element	nonlinearBeamColumn	204	18	19	4	 2     2
element	nonlinearBeamColumn	205	19	20	4	 2     2
element	nonlinearBeamColumn	206	20	51	4	 2     2

# 3rd Storey Beams
element	nonlinearBeamColumn	301	22	23	4	 3     2
element	nonlinearBeamColumn	302	23	24	4	 3     2
element	nonlinearBeamColumn	303	24	25	4	 3     2
element	nonlinearBeamColumn	304	25	26	4	 3     2
element	nonlinearBeamColumn	305	26	27	4	 3     2
element	nonlinearBeamColumn	306	27	52	4	 3     2

# 4th Storey Beams
element	nonlinearBeamColumn	401	29	30	4	 3     2
element	nonlinearBeamColumn	402	30	31	4	 3     2
element	nonlinearBeamColumn	403	31	32	4	 3     2
element	nonlinearBeamColumn	404	32	33	4	 3     2
element	nonlinearBeamColumn	405	33	34	4	 3     2
element	nonlinearBeamColumn	406	34	53	4	 3     2

# 5th Storey Beams
element	nonlinearBeamColumn	501	36	37	4	 3     2
element	nonlinearBeamColumn	502	37	38	4	 3     2
element	nonlinearBeamColumn	503	38	39	4	 3     2
element	nonlinearBeamColumn	504	39	40	4	 3     2
element	nonlinearBeamColumn	505	40	41	4	 3     2
element	nonlinearBeamColumn	506	41	54	4	 3     2

# 6th Storey Beams
element	nonlinearBeamColumn	601	43	44	4	 4     2
element	nonlinearBeamColumn	602	44	45	4	 4     2
element	nonlinearBeamColumn	603	45	46	4	 4     2
element	nonlinearBeamColumn	604	46	47	4	 4     2
element	nonlinearBeamColumn	605	47	48	4	 4     2
element	nonlinearBeamColumn	606	48	55	4	 4     2

#####################################################################
puts "Finished assigning sections ..."






